using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PR
{
    [Description("附件上传")]
    public class T_PR_DESIGN_DOCUMENT_REVIEW_FILE : MesEntityBase
    {
        [Description("内部设计审核表")]
        [DataFieldForeignKey("Nav_Design", "Nav_Files")]
        public Guid DESIGN_DOCUMENT_REVIEW_ID { get; set; }

        [Description("内部设计审核表")]
        public virtual T_PR_DESIGN_DOCUMENT_REVIEW Nav_Design { get; set; }

        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }

        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
